Download it now!
Bug 78864 - Not clear whether picture has been added or removed with record changes
Summary: Not clear whether picture has been added or removed with record changes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-05-18 15:03 UTC by 994phij
Modified: 2019-11-25 09:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example document (11.19 KB, application/vnd.oasis.opendocument.text)
2014-05-18 15:03 UTC, 994phij
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 994phij 2014-05-18 15:03:45 UTC
Created attachment 99277 [details]
example document

Steps to reproduce:

Create a new writer document
insert a picture and anchor it 'as character'
tick Edit -> Changes -> Record
write some text after the picture (as a spacer)
put the cursor immediately after the picture, press backspace, select and copy the picture, and paste it after the text.

It is not clear at first glance whether the image has been moved from the top of the text to the bottom, or vice versa - you have to untick Edit -> Changes -> Show to find out.  It should be clear without looking at the final document.

Also, I found this on 4.1.4.2 and 4.2.3.3.  Am I meant to put the earliest or latest of the two?
Comment 1 Joel Madero 2014-05-21 01:32:33 UTC
Earliest :) Changed version
Comment 2 Yousuf Philips (jay) (retired) 2014-05-29 10:10:54 UTC
Confirmed its also in 3.6 on Linux. Simple remedy would be do have some type of X sign on the image or something like that after it was deleted, as an indication that it has been deleted.
Comment 3 QA Administrators 2015-07-18 17:44:49 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 10:18:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920